# Interface JavaCore.JavaRunnable<E extends Exception>

Enclosing class:
  `JavaCore`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface JavaCore.JavaRunnable<E extends Exception>

Since:
  3.37

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Runs or throws an exception.

## Method Details

### run

void run() throws E
Runs or throws an exception.

Throws:
  `E` - the Exception of given type